#ifndef config_pwm_timer_impl_h
#define config_pwm_timer_impl_h

/**
 * \file config_pwm_timer_impl.h
 * \brief Configures the implementation of the PWM-timer.
 * \author Thomas Stegemann
 * \version $Id: config_pwm_timer_impl.h,v 1.1 2006/09/26 18:18:27 rschaten Exp $
 *
 * License: See documentation.
 *
 * - pwm_Timer_Cycles_Max defines the number of (prescaled) processor cycles
 *   for a full pwm_TimerCycle
 * - pwm_Timer_Cycles_ReadMin defines the number of (prescaled) processor
 *   cycles the reading from the message queue may last
 * - pwm_Timer_Cycles_SleepMax defines the minimum number of (prescaled)
 *   processor cycles for which the timer is used. for less cycles the
 *   pwm_Timer waits active
 */

#include "pwm_channels.h"

enum { pwm_Timer_Cycles_Max = pwm_Channels_Brightness_Max * pwm_Channels_Brightness_Max };
enum { pwm_Timer_Cycles_ReadMin = 2 };
enum { pwm_Timer_Cycles_SleepMax = 2 };

#endif
